> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Trigger Events

> Browse every trigger event in the workspace, across all triggers.



## OpenAPI

````yaml get /v1/triggers/events
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/triggers/events:
    get:
      tags:
        - V1 - Triggers
      summary: Get All Trigger Events
      description: Browse every trigger event in the workspace, across all triggers.
      operationId: get_all_trigger_events
      parameters:
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - name: event_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Event Type
        - name: workflow_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Workflow Id
        - name: started_run
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Started Run
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Page size
            default: 50
            title: Size
          description: Page size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_GroupTriggerEvent_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Page_GroupTriggerEvent_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/GroupTriggerEvent'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
        pages:
          type: integer
          minimum: 0
          title: Pages
      type: object
      required:
        - items
        - total
        - page
        - size
        - pages
      title: Page[GroupTriggerEvent]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GroupTriggerEvent:
      properties:
        id:
          type: string
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        state:
          $ref: '#/components/schemas/TriggerQueueStatus'
        event_type:
          type: string
          title: Event Type
        event_data:
          additionalProperties: true
          type: object
          title: Event Data
        trigger_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Trigger Id
        trigger_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Trigger Type
        workflow_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Workflow Id
        workflow_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Workflow Name
        run_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Run Id
        started_run:
          type: boolean
          title: Started Run
          default: false
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        ignore_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Ignore Reason
      type: object
      required:
        - id
        - created_at
        - state
        - event_type
        - event_data
      title: GroupTriggerEvent
      description: Event entry for the group-level events view (all triggers).
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    TriggerQueueStatus:
      type: string
      enum:
        - Pending
        - Processing
        - Complete
        - Failed
      title: TriggerQueueStatus
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````